[omd-devel] check_mk broken in 0.57 nightly ?

Sven Nierlein sven at nierlein.de
Thu Oct 18 21:45:06 CEST 2012


On 10/18/12 11:21, Mathias Kettner wrote:
> Hallo Sven,
>
> ein Umstieg auf WSGI für Multisite scheint zwar mittelfristig sinnvoll,
> ist aber aktuell für uns erstens vom Aufwand nicht zu machen und zweitens evtl. nicht abwärtskompatibel. Wir haben auch eine Menge
> Aufwand in mod_python gesteckt. Wenn Multisite überhaupt nicht
> funktioniert mit Worker finde ich es aktuell schon richtig, dass
> wir prefork als Dependency eintragen.
>
> Grüße,
>
> Mathias

Hallo Mathias,

von einem Umstieg auf WSGI war ja nicht die Rede. Prinzipiell funktioniert mod_python ja mit dem worker-mpm. Evtl.
liegt das Problem eher im selbstgebauten mod_python. Die Index Seite, zugegeben nicht wirklich kompliziert, funktioniert
ja auch.
Den Prefork Apache als Dependency einzutragen ist insofern problematisch, dass sich der worker-mpm dann nur noch
durch ein Paketkonflikt installieren ließe. Das original Debian mod_python depended übrigens auch nur auch apache2 ohne prefork.

Grüße,
  Sven


More information about the omd-devel mailing list